# Get a list of ulhost images - DescribeULHostImage

## Overview

Get a list of ulhost images






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `DescribeULHostImage`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.zosoc.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [List of Regions and Availability Zones](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |No|
| **ProjectId** | string | Project ID. If not filled in, the default project is used, sub-accounts must be filled in. Please refer to the [GetProjectList interface](/docs/api/summary/get_project_list). |No|
| **ImageType** | string | Image type. Standard Image: Base, Image Market: Business, Custom Image: Custom, return all types by default. |No|
| **Scene** | string | Usage scenario: It takes effect when ImageType is set to "App".<br />- Normal for Regular Section<br />- CrossBorder for  CrossBorder E-Commence<br />Default return all |No|
| **OsType** | string | Operating System Type: Linux, Windows. By default, all types are returned. |No|
| **ImageId** | string | Image Id |No|
| **ImageIds.N** | string | Image Id List |No|
| **Tag** | string | Business Group ID. Default: Default |No|
| **Offset** | int | List start position offset, default is 0 |No|
| **Limit** | int | Return data length, default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **TotalCount** | int | Total number of images that meet the conditions |No|
| **ImageSet** | array[[*ULHostImageSet*](#ulhostimageset)] | For a detailed list of images, see UHostImageSet |No|

#### Data Model


#### ULHostImageSet

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Zone** | string | Availability Zone, see [Availability Zone List](api/summary/regionlist) |No|
| **ImageId** | string | Image ID |No|
| **ImageName** | string | Image Name |No|
| **DisplayName** | string | Name used for console display |No|
| **Tag** | string | Business Group |No|
| **OsType** | string | Operating System Type: Linux, Windows |No|
| **OsName** | string | Operating System Name |No|
| **ImageType** | string | Image Type Standard Image: Base, Industry Image: Business, Custom Image: Custom |No|
| **Features** | array[string] | Special status identifiers, currently includes NetEnhnced (Network Enhancement 1.0), NetEnhanced_Ultra (Network Enhancement 2.0), NetEnhanced_Extreme (Network Enhancement 3.0), HotPlug (Hot Upgrade), GPU (GPU Image), CloudInit, IPv6 (Supports IPv6 Network), RssdAttachable (Supports RSSD Cloud Disk), Vgpu_AMD (Supports AMD's vgpu), Vgpu_NVIDIA (Supports NVIDIA's vgpu), Aarch64_Type (Supports arm64 architecture) |No|
| **IntegratedSoftware** | string | Integrated Software Name (only industry images will return this value) |No|
| **State** | string | Image Status, Available: Available, Making: Making, Unavailable: Unavailable, Copying: Copying |No|
| **ImageDescription** | string | Image Description |No|
| **CreateTime** | int | Creation time, in Unix timestamp format |No|
| **ImageSize** | int | Image Size |No|
| **MinimalCPU** | string | The default value is empty. Images such as CentOS 7.3/7.4/7.5 will be marked as 'Broadwell'. |No|
| **MaintainEol** | string | System EOL (End of Life) date, format: YYYY/MM/DD |No|
| **SceneCategories** | array[string] | Scene Classification, currently includes Featured, PreInstalledDrivers, AIPainting, AIModels, HPC (High Performance Computing) |No|
| **ImageLogoLink** | string | App image icon url |No|

## Example

### Request Example
    
```
https://api.zosoc.com/?Action=DescribeULHostImage
&Region=pjGgnjaq
&Zone=ZOVSOArJ
&ProjectId=kxtvkLFX
&ImageType=ejPSbUsC
&FuncType=eCFTVATw
&OsType=viqgVMFv
&ImageId=ufpJpByZ
&ImageIds.N=dfVrUQhG
&Tag=spNxOUpa
&Offset=5
&Limit=7
&PriceSet=1
&Scene=itCvbJFs
```

### Response Example
    
```json
{
  "Action": "DescribeULHostImageResponse",
  "ImageSet": [
    {
      "CreateTime": 9,
      "Features": [
        "yOUhtYDT"
      ],
      "FuncType": "JsFBJwBE",
      "ImageDescription": "jHIRhqVE",
      "ImageId": "JhriGDJE",
      "ImageName": "cWcSTjUF",
      "ImageSize": 8,
      "ImageType": "xWAfdcfM",
      "IntegratedSoftware": "ECVamgyl",
      "Links": "QrsMIHru",
      "MinimalCPU": "ueFMmxSe",
      "OsName": "skOWUlbZ",
      "OsType": "peesiRDc",
      "State": "mOyOihis",
      "Vendor": "rjrmGMQs",
      "Zone": "BRhIeUvq"
    }
  ],
  "RetCode": 0,
  "TotalCount": 1
}
```





